VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "Msflxgrd.ocx"
Begin VB.Form Grid_form 
   Caption         =   "Data Grid"
   ClientHeight    =   6300
   ClientLeft      =   60
   ClientTop       =   405
   ClientWidth     =   15630
   Icon            =   "Grid_form.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   6300
   ScaleWidth      =   15630
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame13 
      Caption         =   "Planet Data"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   6210
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   15495
      Begin MSFlexGridLib.MSFlexGrid grdOutput 
         Height          =   5925
         Left            =   60
         TabIndex        =   1
         Top             =   240
         Width           =   15465
         _ExtentX        =   27279
         _ExtentY        =   10451
         _Version        =   393216
         Rows            =   14
         Cols            =   5
         BackColorFixed  =   14737632
         ScrollTrack     =   -1  'True
         GridLines       =   2
         ScrollBars      =   2
         SelectionMode   =   1
         AllowUserResizing=   1
         BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
      End
   End
End
Attribute VB_Name = "Grid_form"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Deactivate()
    Call Form_Resize
End Sub

Private Sub Form_Load()
    NotDo% = 1
    Me.Height = GridFormWindowHeight%
    Me.Width = GridFormWindowWidth%
    Me.Top = GridFormWindowTop%
    Me.Left = GridFormWindowLeft&
    NotDo% = 0
    
    excel_running = False
    
    Me.Show
    
    Call Display_Aspects_in_grid
End Sub



Public Sub Display_Aspects_in_grid()
    Dim x%

    grdOutput.Redraw = False

    grdOutput.FormatString = "^#|^Type|<T. Planet|<Exact T. Position|^LM|^Q|^Asp|<P2 Planet|<Exact P2 Position|^LM|^Q|^Start Period|^Exact Date and Time|^End Period"

    grdOutput.Rows = num_grid_aspects% + 1
    grdOutput.Cols = 14

    grdOutput.col = 0
    For x% = 0 To grdOutput.Rows - 2
        grdOutput.RowHeight(x%) = 250
        grdOutput.row = x%
        grdOutput.CellBackColor = RGB(224, 224, 224)
    Next x%

    grdOutput.row = x%
    grdOutput.CellBackColor = RGB(224, 224, 224)

    grdOutput.ColWidth(0) = 420
    grdOutput.ColWidth(1) = 840
    grdOutput.ColWidth(2) = 1770
    grdOutput.ColWidth(3) = 1440
    grdOutput.ColWidth(4) = 420
    grdOutput.ColWidth(5) = 420
    grdOutput.ColWidth(6) = 540
    grdOutput.ColWidth(7) = 1470
    grdOutput.ColWidth(8) = 1440
    grdOutput.ColWidth(9) = 420
    grdOutput.ColWidth(10) = 420
    grdOutput.ColWidth(11) = 1830
    grdOutput.ColWidth(12) = 1830
    grdOutput.ColWidth(13) = 1830

    For x% = 1 To num_grid_aspects%
        grdOutput.row = x%

        grdOutput.col = 0
        grdOutput.Text = x%

        grdOutput.col = 1
        If grid_aspects$(4, x%) = "0" Then
            If grid_aspects$(0, x%) > NumberOfPlanets% Then
                grdOutput.Text = "tmp to n."
            Else
                grdOutput.Text = "t. to n."
            End If
        ElseIf grid_aspects$(4, x%) = "1" Then
            If grid_aspects$(0, x%) > NumberOfPlanets% Then
                grdOutput.Text = "tmp to t."
            Else
                grdOutput.Text = "t. to t."
            End If
        ElseIf grid_aspects$(4, x%) = "2" Then
            grdOutput.Text = "t. to t."
        ElseIf grid_aspects$(4, x%) = "3" Then
            grdOutput.Text = "t to nmp"
        ElseIf grid_aspects$(4, x%) = "4" Then
            grdOutput.Text = "tmp2nmp"
        ElseIf grid_aspects$(10, x%) = "d" Then
            grdOutput.Text = "t. to n."             'because declination is only calculated for t. to n. and nothing else, planets, never midpoints
        End If
        
        grdOutput.col = 2
        grdOutput.Text = planet_names$(grid_aspects$(0, x%))

        grdOutput.col = 3
        If grid_aspects$(10, x%) = "d" Then
            Buffer = Format$(grid_aspects$(5, x%), "0.00")
        Else
            z = grid_aspects$(5, x%)
            Call PrintSignData
        End If
        
        grdOutput.Text = Buffer

        grdOutput.col = 4
        If grid_aspects$(10, x%) = "d" Then
            grdOutput.Text = ""
        Else
            z = grid_aspects$(5, x%)
            grdOutput.Text = Fix(z / 13.3333333333333) + 1              'lunar mansion
        End If
        
        grdOutput.col = 5
        If grid_aspects$(10, x%) = "d" Then
            grdOutput.Text = ""
        Else
            z = Reduce_below_13pt3333(grid_aspects$(5, x%))
            grdOutput.Text = Fix(z / 3.3333333333333) + 1           'quarter
        End If
        
        grdOutput.col = 6
        grdOutput.Text = Finding_Lucky_Times!chkAspects(grid_aspects$(1, x%)).Caption

        grdOutput.col = 7
        grdOutput.Text = planet_names$(grid_aspects$(2, x%))
    
        grdOutput.col = 8
        If grid_aspects$(10, x%) = "d" Then
            Buffer = Format$(grid_aspects$(6, x%), "0.00")
        Else
            z = grid_aspects$(6, x%)
            Call PrintSignData
        End If
        
        grdOutput.Text = Buffer
        
        grdOutput.col = 9
        If grid_aspects$(10, x%) = "d" Then
            grdOutput.Text = ""
        Else
            z = grid_aspects$(6, x%)
            grdOutput.Text = Fix(z / 13.3333333333333) + 1              'lunar mansion
        End If
        
        grdOutput.col = 10
        If grid_aspects$(10, x%) = "d" Then
            grdOutput.Text = ""
        Else
            z = Reduce_below_13pt3333(grid_aspects$(5, x%))
            grdOutput.Text = Fix(z / 3.3333333333333) + 1           'quarter
        End If
        
        grdOutput.col = 11
        grdOutput.Text = ""
        
        grdOutput.col = 12
        grdOutput.Text = grid_aspects$(3, x%)

        grdOutput.col = 13
        grdOutput.Text = ""
    Next x%

    grdOutput.Redraw = True
End Sub

Private Sub Form_Resize()
    If NotDo% = 0 And Me.WindowState <> 1 Then
        GridFormWindowWidth% = Me.Width
        GridFormWindowHeight% = Me.Height
        GridFormWindowTop% = Me.Top
        GridFormWindowLeft& = Me.Left
        
        Frame13.Height = Me.Height - 555
        Frame13.Width = Me.Width - 240
        
        grdOutput.Height = Me.Height - 840
        grdOutput.Width = Me.Width - 315
    End If
End Sub


