VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "Comdlg32.ocx"
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "Richtx32.ocx"
Begin VB.Form OutputD1 
   Caption         =   "Data"
   ClientHeight    =   5850
   ClientLeft      =   60
   ClientTop       =   1290
   ClientWidth     =   9480
   ForeColor       =   &H80000008&
   Icon            =   "OUTPUTD1.frx":0000
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   24.375
   ScaleMode       =   4  'Character
   ScaleWidth      =   79
   Begin RichTextLib.RichTextBox RichText1 
      Height          =   5895
      Left            =   30
      TabIndex        =   0
      Top             =   0
      Width           =   9495
      _ExtentX        =   16748
      _ExtentY        =   10398
      _Version        =   393217
      ReadOnly        =   -1  'True
      ScrollBars      =   3
      TextRTF         =   $"OUTPUTD1.frx":030A
   End
   Begin MSComDlg.CommonDialog Dlog 
      Left            =   0
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      FontSize        =   0
      MaxFileSize     =   256
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileSave 
         Caption         =   "&Save"
         Shortcut        =   {F5}
      End
      Begin VB.Menu mnuFileSaveAs 
         Caption         =   "Save &As"
         Shortcut        =   {F6}
      End
   End
   Begin VB.Menu mnuFonts 
      Caption         =   "F&ont"
      Begin VB.Menu mnuFontsIncrease 
         Caption         =   "&Increase"
         Shortcut        =   {F7}
      End
      Begin VB.Menu mnuFontsDecrease 
         Caption         =   "&Decrease"
         Shortcut        =   {F8}
      End
      Begin VB.Menu mnuFontsBold 
         Caption         =   "&Bold"
         Checked         =   -1  'True
         Shortcut        =   {F11}
      End
      Begin VB.Menu mnuFontsItalic 
         Caption         =   "I&talic"
         Checked         =   -1  'True
         Shortcut        =   {F12}
      End
   End
   Begin VB.Menu mnuClearBuffer 
      Caption         =   "&Clear all data"
   End
   Begin VB.Menu mnuPrint 
      Caption         =   "&Print page"
   End
   Begin VB.Menu mnuPrintData 
      Caption         =   "Print &data"
   End
End
Attribute VB_Name = "OutputD1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Deactivate()
    Call Form_Resize
End Sub

Private Sub Form_Load()
    NotDo% = 1
    Me.Height = DataWindowHeight%
    Me.Width = DataWindowWidth%
    Me.Top = DataWindowTop%
    Me.Left = DataWindowLeft&
    NotDo% = 0

    If MasterFontSize < 8 Then
        RichText1.Font.Size = MasterFontSize
    End If

    On Error GoTo NCN1
    RichText1.Font.Name = MasterFontName
    RichText1.Font.Size = MasterFontSize
    RichText1.Font.Bold = MasterFontBold
    RichText1.Font.Italic = MasterFontItalic

    mnuFontsBold.Checked = MasterFontBold
    mnuFontsItalic.Checked = MasterFontItalic
    RichText1.Text = ""
    Exit Sub

NCN1:
    MsgBox "You must have the COURIER NEW font installed in Windows. Please add this font through CONTROL PANEL - FONTS.", 48, "Information!"
    Resume Next
End Sub

Private Sub Form_Resize()
    If NotDo% = 0 And Me.WindowState <> 1 Then
        DataWindowWidth% = Me.Width
        DataWindowHeight% = Me.Height
        DataWindowTop% = Me.Top
        DataWindowLeft& = Me.Left
    End If

    RichText1.Top = 0
    RichText1.Left = 0
    RichText1.Width = ScaleWidth
    RichText1.Height = ScaleHeight
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set OutputD1 = Nothing
End Sub

Private Sub mnuClearBuffer_Click()
    LineCounter& = 0
    ReDim OutputLines$(0 To 1)
    MsgBox "All data cleared from buffer.", 48, "Information!"
End Sub

Private Sub mnuFileSave_Click()
    Dim C As Integer, flag%, x%

    If LineCounter& = 0 Then
        MsgBox "No data to write to file.", 48, "Information"
        Exit Sub
    End If

    If OutputNameFile = "" Then
        Call mnuFileSaveAs_Click
        Exit Sub
    End If

    Close #1

    If txt_rtf% = 0 Then
        Open OutputNameFile For Output As #1

        C = 1
        flag% = 0

        For x% = 0 To LineCounter&
            Print #1, OutputLines$(x%)

            If OutputLines$(x%) = Chr$(12) Then
                C = 0
                flag% = 1
            End If

            If C = XOPTION!(14) Then
                Print #1, Chr$(12)
                C = 0
            End If

            C = C + 1
        Next x%

        If flag% = 0 Then Print #1, Chr$(12)
    Else
        RichText1.SaveFile OutputNameFile, 1
    End If

PVC44a:
    Close #1
    Exit Sub

PVC33a:
    Resume PVC44a
End Sub

Private Sub mnuFileSaveAs_Click()
    Dim C As Integer, flag%, t$, x%

    If LineCounter& = 0 Then
        MsgBox "No data to write to file.", 48, "Information"
        Exit Sub
    End If

    DLog.CancelError = True
    DLog.DefaultExt = "txt"

    DLog.InitDir = DefaultDirectory$ & "\reports"

    If InStr(Finding_Lucky_Times!txtName.Text, " ") <> 0 Then
        DLog.filename = Left$(Finding_Lucky_Times!txtName.Text, InStr(Finding_Lucky_Times!txtName.Text, " ") - 1) + ".txt"
        If InStr(Finding_Lucky_Times!txtName.Text, " ") > 8 Then
            DLog.filename = Left$(Finding_Lucky_Times!txtName.Text, 8) + ".txt"
        End If
    Else
        DLog.filename = Left$(Finding_Lucky_Times!txtName.Text, 8) + ".txt"
    End If

    DLog.Filter = "Finding_Lucky_Times Data Files (*.txt) | *.txt"
    DLog.FilterIndex = 1
    DLog.Flags = OFN_OVERWRITEPROMPT Or OFN_PATHMUSTEXIST

    On Error GoTo PVC33
    DLog.Action = 2
    OutputNameFile = DLog.filename

    Close #1

    If txt_rtf% = 0 Then
        Open OutputNameFile For Output As #1

        C = 1
        flag% = 0

        For x% = 0 To LineCounter&
            Print #1, OutputLines$(x%)

            If OutputLines$(x%) = Chr$(12) Then
                C = 0
                flag% = 1
            End If

            If C = XOPTION!(14) Then
                Print #1, Chr$(12)
                C = 0
            End If

            C = C + 1
        Next x%

        If flag% = 0 Then Print #1, Chr$(12)
    Else
        RichText1.SaveFile OutputNameFile, 1
    End If

PVC44:
    Close #1
    Exit Sub

PVC33:
    Resume PVC44
End Sub

Private Sub mnuFontsBold_Click()
    RichText1.Font.Bold = Not RichText1.Font.Bold
    'mnuFontsBold.Checked = RichText1.Font.Bold
    MasterFontBold = RichText1.Font.Bold
    Call RefreshText
End Sub

Private Sub mnuFontsDecrease_Click()
    If MasterFontSize > 8 Then
        RichText1.Font.Size = MasterFontSize - (PlanetScaling / 2)
    End If

    MasterFontSize = MasterFontSize - (PlanetScaling / 2)

    Call RefreshText
End Sub

Private Sub mnuFontsIncrease_Click()
    If MasterFontSize < 12 Then
        RichText1.Font.Size = MasterFontSize + (PlanetScaling / 2)
    End If

    MasterFontSize = MasterFontSize + (PlanetScaling / 2)

    Call RefreshText
End Sub

Private Sub mnuFontsItalic_Click()
    RichText1.Font.Italic = Not RichText1.Font.Italic
    'mnuFontsItalic.Checked = RichText1.Font.Italic
    MasterFontItalic = RichText1.Font.Italic
    Call RefreshText
End Sub

Private Sub mnuPrint_Click()
    Dim x%

    If TextLineCounter& = 0 Then Exit Sub

    Screen.MousePointer = 11

    Close #1
    Open DefaultDirectory$ & "\PRNTFILE.XXX" For Output As #1

    For x% = 0 To TextLineCounter&
        Print #1, TextOnForm$(x%)
    Next x%

    Close #1

    PrntFile.Show

    Screen.MousePointer = 0
End Sub

Private Sub mnuPrintData_Click()
    Dim x%

    If LineCounter& = 0 Then
        MsgBox "No data to print.", 48, "Information"
        Exit Sub
    End If

    Screen.MousePointer = 11

    Close #1
    Open DefaultDirectory$ & "\PRNTFILE.XXX" For Output As #1

    For x% = 0 To LineCounter&
        Print #1, OutputLines$(x%)
    Next x%

    Close #1

    PrntFile.Show

    Screen.MousePointer = 0
End Sub

Private Sub RefreshText()
    If TextLineCounter& = 0 Then Exit Sub

    Screen.MousePointer = 11
    Call AdjustForm

    If MasterFontSize <= 8 Then
        mnuFontsDecrease.Enabled = False
    Else
        mnuFontsDecrease.Enabled = True
    End If

    If MasterFontSize >= 12 Then
        mnuFontsIncrease.Enabled = False
    Else
        mnuFontsIncrease.Enabled = True
    End If

    Screen.MousePointer = 0
End Sub

Private Sub RichText1_KeyPress(KeyAscii As Integer)
    If KeyAscii = 27 Then
        Finding_Lucky_Times.SetFocus
        KeyAscii = 0
    End If
End Sub


Private Sub RichText1_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
    If Button = 2 Then Finding_Lucky_Times.SetFocus
End Sub


